# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class Adjustments

    java.lang.Object
      com.google.api.gbase.client.Adjustments

    public class Adjustments

extends java.lang.Object

Adjustment information for one attribute (`GoogleBaseAttribute`). It maps to `gm:adjusted_name` and `gm:adjusted_value` Xml elements.

Constructor Summary
`Adjustments()`

Method Summary
`java.lang.String` `getName()` Gets the adjusted name, or `null` if the `adjusted_name` element is not specified.
`java.lang.String` `getValue()` Gets the adjusted value in string format, or `null` if the `adjusted_value` element is not specified.
`boolean` `isEmpty()` Returns `true` if no adjusted attribute is specified, `false` otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Adjustments

    public Adjustments()

Method Detail

### getName

    public java.lang.String getName()

  Gets the adjusted name, or `null` if the `adjusted_name` element is not specified.

### getValue

    public java.lang.String getValue()

  Gets the adjusted value in string format, or `null` if the `adjusted_value` element is not specified.

### isEmpty

    public boolean isEmpty()

  Returns `true` if no adjusted attribute is specified, `false` otherwise.